org.eclipse.net4j.util.security

## Interface IPasswordCredentialsUpdate

- All Superinterfaces:
    ICredentials, IPasswordCredentials, IUserAware
  All Known Implementing Classes:
    PasswordCredentialsUpdate

      public interface IPasswordCredentialsUpdate
      extends IPasswordCredentials

  Password credentials with an update (new password) in addition to the usual user ID and password for authentication of the password change.
  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `char[]` | `getNewPassword()` Queries the new password to be set for the user.

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IPasswordCredentials

      `getPassword`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

- - ### Method Detail

    - #### getNewPassword

          char[] getNewPassword()

      Queries the new password to be set for the user. It is the responsibility of the provider of an update to verify that this is actually the new password intended by the user.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html